function::user_string_quoted
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::user_string_quoted — Retrieves and quotes string from user space

## Synopsis

        user_string_quoted:string(addr:long)

## Arguments

`addr`

  the user space address to retrieve the string from

## Description

Returns the null terminated C string from a given user space memory address where any ASCII characters that are not printable are replaced by the corresponding escape sequence in the returned string. Note that the string will be surrounded by double quotes. On the rare cases when userspace data is not accessible at the given address, the address itself is returned as a string, without double quotes.

Prev | Up | Next
function::user_string_nofault | Home | function::user_string_quoted_utf16